_Eolian_Function Struct Reference

## Data Fields

Eolian_Object | base
Eolian_Object | set_base
union { |
Eina_List * params |
struct { |
Eina_List * prop_values |
Eina_List * prop_values_get |
Eina_List * prop_values_set |
Eina_List * prop_keys |
Eina_List * prop_keys_get |
Eina_List * prop_keys_set |
} |
}; |
Eolian_Function_Type | type
Eolian_Object_Scope | get_scope
Eolian_Object_Scope | set_scope
Eolian_Type * | get_ret_type
Eolian_Type * | set_ret_type
Eolian_Expression * | get_ret_val
Eolian_Expression * | set_ret_val
Eolian_Implement * | impl
Eolian_Documentation * | get_return_doc
Eolian_Documentation * | set_return_doc
Eina_List * | ctor_of
Eolian_Class * | klass
Eina_Bool | obj_is_const:1
Eina_Bool | get_return_no_unused:1
Eina_Bool | set_return_no_unused:1
Eina_Bool | get_return_move:1
Eina_Bool | set_return_move:1
Eina_Bool | get_return_by_ref:1
Eina_Bool | set_return_by_ref:1
Eina_Bool | is_static:1